Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3128 - kernel panic when swap space exhausted.
Summary: kernel panic when swap space exhausted.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-28 18:37 UTC by simra
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-29 15:53:57 UTC


Attachments (Terms of Use)

Description simra 1999-05-28 18:37:49 UTC
Here's my system: i686, 128MB RAM, 136548k swap space.
kernel 2.2.5-15,  passing kernel flag "mem=128M".

When my swap space is exhausted, the machine simply stops.
It's not thrashing- it just stops.  No mouse response, no
keyboard response, the HD LED is not on.

It's very difficult to collect any other diagnostics, but I
was watching 'top' as the machine ran out of memory and top
observed that the swap space remaining was 0k.

I will forward this bug report to
linux-kernel@vger.rutgers.edu

Comment 1 simra 1999-05-28 18:40:59 UTC
I should mention that I'm using the stock kernel from the redhat
distro. The following modules were resident:

Module                  Size  Used by
nfs                    29944   9  (autoclean)
lockd                  30856   1  (autoclean) [nfs]
sunrpc                 52356   1  (autoclean) [nfs lockd]
3c59x                  18920   1  (autoclean)

R

Comment 2 Jeff Johnson 1999-05-29 15:53:59 UTC
The "solution" is to add more swap space. There are many, many
deadlock conditions in the kernel that can be exercised by running
out of swap.


Note You need to log in before you can comment on or make changes to this bug.